import pytest


def pytest_addoption(parser):
    group = parser.getgroup("afs")
    group.addoption('--server',
                    action="store",
                    dest="server",
                    default=None)


@pytest.yield_fixture(scope="class")
def server(request):
    return request.config.getoption("--server")