import pytest


def pytest_addoption(parser):
    group = parser.getgroup("afs")
    group.addoption('--testrun_data',
                    action="store",
                    dest="testrun_data",
                    default=None)


@pytest.yield_fixture(scope="class", autouse=True)
def testrun_data(request):
    return request.config.getoption("--testrun_data")
