import pytest


def pytest_addoption(parser):
    group = parser.getgroup("afs")
    group.addoption('--api_version',
                    action="store",
                    dest="api_version",
                    default=None)


@pytest.yield_fixture(scope="class")
def api_version(request):
    return request.config.getoption("--api_version")